USE [PerfmonHistory]
GO

/****** Object:  Table [dbo].[PerfmonCounterHistory]    Script Date: 7/17/2012 3:30:52 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[PerfmonCounterHistory](
	[RID] [uniqueidentifier] NOT NULL,
	[object_name] [nvarchar](128) NOT NULL,
	[counter_name] [nvarchar](128) NOT NULL,
	[instance_name] [nvarchar](128) NOT NULL,
	[cntr_value] [bigint] NOT NULL,
	[cntr_type] [int] NOT NULL,
	[HostDBInstance] [varchar](50) NOT NULL,
	[CreatedDateTime] [datetime] NOT NULL
) ON TwoYearDateRangePScheme(CreatedDateTime)
GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[PerfmonCounterHistory] ADD  CONSTRAINT [DF_PerfmonCounterHistory_RID]  DEFAULT (newsequentialid()) FOR [RID]
GO

ALTER TABLE [dbo].[PerfmonCounterHistory] ADD  CONSTRAINT [DF_PerfmonCounterHistory_instance_name]  DEFAULT ('NA') FOR [instance_name]
GO

ALTER TABLE [dbo].[PerfmonCounterHistory] ADD  CONSTRAINT [DF_PerfmonCounterHistory_cntr_type]  DEFAULT ((0)) FOR [cntr_type]
GO

ALTER TABLE [dbo].[PerfmonCounterHistory] ADD  CONSTRAINT [DF_PerfmonCounterHistory_CreatedDateTime]  DEFAULT (getdate()) FOR [CreatedDateTime]
GO


